# Class HandleErrorResult

java.lang.Object
org.mariadb.jdbc.internal.failover.HandleErrorResult

public class HandleErrorResult extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`isReconnected`
`boolean`
`mustThrowError`
`Object`
`resultObject`

## Constructor Summary

Constructors
Constructor
Description
`HandleErrorResult()`
`HandleErrorResult(boolean isReconnected)`
`HandleErrorResult(boolean isReconnected, boolean mustThrowError)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### mustThrowError

public boolean mustThrowError

### isReconnected

public boolean isReconnected

### resultObject

public Object resultObject

## Constructor Details

### HandleErrorResult

public HandleErrorResult()

### HandleErrorResult

public HandleErrorResult(boolean isReconnected)

### HandleErrorResult

public HandleErrorResult(boolean isReconnected, boolean mustThrowError)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`